import * as $dara from '@darabonba/typescript';
import { DescribeIpv6AddressesResponseBody } from "./DescribeIpv6addressesResponseBody";
export declare class DescribeIpv6AddressesResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeIpv6AddressesResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
